package com.tencent.mm.plugin.appbrand.ui;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import com.tencent.matrix.trace.core.AppMethodBeat;

class AppBrandSharedMessageUI$b extends BaseAdapter {
    private LayoutInflater mInflater;

    public AppBrandSharedMessageUI$b(LayoutInflater layoutInflater) {
        this.mInflater = layoutInflater;
    }

    public final int getCount() {
        return 0;
    }

    public final Object getItem(int i) {
        return null;
    }

    public final long getItemId(int i) {
        return 0;
    }

    public final int getItemViewType(int i) {
        AppMethodBeat.i(133096);
        int itemViewType = super.getItemViewType(i);
        AppMethodBeat.o(133096);
        return itemViewType;
    }

    public final int getViewTypeCount() {
        return 4;
    }

    public final View getView(int i, View view, ViewGroup viewGroup) {
        return null;
    }
}
